
QGIS Application - Bug report #17647

Offline editing; attribute changes only applied on first layer

2017-12-06 05:05 PM - Matthias Kuhn

Status: Closed

Priority: Normal

Assignee:

Category: C++ plugins/Offline editing

Affected QGIS version:2.18.14 Regression?: No

Operating System: Easy fix?: No

Pull Request or Patch supplied:No Resolution: fixed/implemented

Crashes QGIS or corrupts data:No Copied to github as #: 25544

Description

Attribute changes on existing features are only synchronized to the first layer.

Description including demo data:

https://github.com/opengisch/QField/issues/176

Affects 2.18 and master

Associated revisions

Revision 3bbda6cf - 2017-12-06 06:22 PM - Matthias Kuhn 

[offline] Apply attribute changes on multiple layers

Fix #17647

Revision bfe03370 - 2017-12-06 06:48 PM - Matthias Kuhn 

[offline] Apply attribute changes on multiple layers

Fix #17647

History

#1 - 2017-12-06 06:26 PM - Matthias Kuhn

Patches pending

    -  https://github.com/qgis/QGIS/pull/5814

    -  https://github.com/qgis/QGIS/pull/5815

#2 - 2017-12-06 06:47 PM - Anonymous

- % Done changed from 0 to 100

- Status changed from Open to Closed

Applied in changeset commit:qgis|3bbda6cf6848896d81655967315db16bfa00dabd.
#3 - 2018-02-22 11:44 AM - Giovanni Manghi

- Resolution set to fixed/implemented
